GET
/api/v1/shipments
Auth: Bearer token
List Shipments
Returns paginated shipment records for the authenticated merchant.
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| page | number | No | Page number to retrieve. |
| per_page | number | No | Records per page. |
| search | string | No | Filter by reference, recipient, or address. |
| merchant_order_ref | string | No | Filter by external order reference. |
Example response
<?php
return [
'success' => true,
'data' => [
[
'shipment_id' => 'shp_101',
'merchant_order_ref' => 'ORD-8842',
'status' => 'in_transit',
'pickup_address' => [
'location_id' => 'loc_001',
'name' => 'Warehouse A',
'address_line_1' => '12 Jet Park Rd',
'city' => 'Johannesburg',
'country' => 'ZA',
'post_code' => '1459',
'latitude' => -26.1367,
'longitude' => 28.2225
],
'dropoff_address' => [
'location_id' => 'loc_002',
'name' => 'Warehouse A',
'address_line_1' => '12 Jet Park Rd',
'city' => 'Cape Town',
'country' => 'ZA',
'post_code' => '1459',
'latitude' => -26.1367,
'longitude' => 28.2225
],
'created_at' => '2026-02-17T10:22:00Z'
]
],
'meta' => [
'current_page' => 1,
'last_page' => 4,
'per_page' => 20,
'total' => 78
]
];
Request examples
curl -X GET \
"https://api.spaces.za.com/api/v1/shipments" \
-H "Authorization: Bearer <token>" \\